### Method

# Eog ThumbView set_current_image

#### Declaration [src]

    void
    eog_thumb_view_set_current_image (
      EogThumbView* thumbview,
      EogImage* image,
      gboolean deselect_other
    )

#### Description [src]

Changes the status of a image, marking it as currently selected. If `deselect_other` is `TRUE`, all other selected images will be deselected.

#### Parameters

`image`

  Type: `EogImage`

  The image to be selected.

  The data is owned by the caller of the method.

`deselect_other`

  Type: `gboolean`

  Whether to deselect currently selected images.